/*
 * Visible region handling header
 *
 * Calculate the visible region on the window.
 * This is used to detect whether GroMove is hidden.
 * I'm afraid this hits performance.
 *
 * Copyright INOUE Seiichiro <inoue@ainet.or.jp>, licensed under the GPL.
 */
#ifndef __GRO_VISREGION_H__
#define __GRO_VISREGION_H__

/** Library private **/
#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

/* Global function declarations */
extern GdkRegion* visible_region_new(GdkWindow *window);
extern void visible_region_delete(GdkRegion *region);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __GRO_VISREGION_H__ */
